<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+----------------------------------------------------------*/
if (!defined("IN_FUSION")) exit;

// Admindaten
$uf_name=$locale['uf_user_buddy_name'];
$uf_desc=$locale['uf_user_buddy_desc'];

// Tabellenfeldname
$uf_dbfield="user_buddy"; // Der Prefix user_ muss erhalten bleiben

// Eigenschaften des Tabellenfeld
$uf_dbdata="VARCHAR(16) NOT NULL DEFAULT ''";

// Leer lassen wenn kein Tabellenfeld erstellt werden muss
// Ist diese Zeile gefllt, wird ein Tabellenfeld in die Tabelle DB_PREFIX_users eingefgt

// Wo soll das Feld eingebunden werden?
$uf_group=2;
// 1 = Information, 2=Kontakt, 3=Sonstige Informationen

// Hier kannst du angeben ob das Feld ein Pflichfeld sein soll
$uf_user_buddy_mandory=0; // Pflichtfeld? 0=Nein, 1=Ja


switch($uf_methode) {
########## Die Anzeige im Userprofil #############
case 'display': 
if ($data['user_buddy']!='') {
// Die Ziffer im Array entspricht der Benutzerfeldgruppe 
$uf_display[$uf_group].='<tr><td width="35%">'.$locale['uf_user_buddy'].':</td><td> '.$data['user_buddy'].'</td></tr>';
}

break;

############# Anzeige im Membersadmin ##############
case 'admin':
// Die Ziffer im Array entspricht der Benutzerfeldgruppe
$uf_display[$uf_group].="<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['uf_user_buddy'].(!$uf_user_buddy_mandory ? '' : '<span style="color:#ff0000">*</span>').":</td>
<td class='tbl2' align='left'><input type='text' name='user_buddy' class='textbox' value='".$data['user_buddy']."' style='width:200px;'></td>
</tr>";
break;

############### Anzeige in der edit_profile.php ###########
case 'input':
// Die Ziffer im Array entspricht der Benutzerfeldgruppe
$uf_display[$uf_group].="<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['uf_user_buddy'].(!$uf_user_buddy_mandory ? '' : '<span style="color:#ff0000">*</span>').":</td>
<td class='tbl2' align='left'><input type='text' name='user_buddy' class='textbox' value='".$userdata['user_buddy']."' style='width:200px;'></td>
</tr>";
break;

########### Anzeige in der register.php #############
case 'register':
// Wenn Pflichtfeld
if ($uf_user_buddy_mandory) {
$uf_display[0].="<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['uf_user_buddy'].(!$uf_user_buddy_mandory ? '' : '<span style="color:#ff0000">*</span>').":</td>
<td class='tbl2' align='left'><input type='text' name='user_buddy' class='textbox' style='width:200px;'></td>
</tr>";
} else {
$uf_display[$uf_group].="<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['uf_user_buddy'].":</td>
<td class='tbl2' align='left'><input type='text' name='user_buddy' class='textbox' style='width:200px;'></td>
</tr>";
}
$javascript.=$uf_user_buddy_mandory?"if(frm.user_buddy.value=='') {alert('".$locale['uf_user_buddy_mandory']."');
return false;}":"";
break;

################ berprfung der Aktualisierungsdaten ############
case 'validate_update':
$user_buddy = isset($_POST['user_buddy']) && strlen($_POST['user_buddy'])<=16 ? stripinput(trim($_POST['user_buddy'])) : '';
if ($uf_user_buddy_mandory && $user_buddy=='' && !iADMIN) {
$error.=$locale['uf_user_buddy_mandory'];
} 
$usr_db_values.=",user_buddy='".$user_buddy."'"; 
break;

########### berprfung der Neueintragung ############
case 'validate_insert':
$user_aim = isset($_POST['user_buddy']) && strlen($_POST['user_buddy'])<=16 ? stripinput(trim($_POST['user_buddy'])) : '';
if ($uf_user_buddy_mandory && $user_buddy=='') {
$error.=$locale['uf_user_buddy_mandory'];
} 
$usr_db_fields.= ',user_buddy;'
$usr_db_values.= ",'".$user_buddy."'";
$usr_register[] = array("user_buddy"=>$user_buddy);
break;
default:
break;
}

?>